Package org.apache.lucene.analysis.core

## Class SimpleAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.core.SimpleAnalyzer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public final class SimpleAnalyzer
      extends Analyzer

  An `Analyzer` that filters `LetterTokenizer` with `LowerCaseFilter`
  Since:
    3.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleAnalyzer()` | Creates a new `SimpleAnalyzer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents​(String fieldName)` |
    `protected TokenStream` | `normalize​(String fieldName, TokenStream in)` |

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleAnalyzer

          public SimpleAnalyzer()

      Creates a new `SimpleAnalyzer`

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents​(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

    - #### normalize

          protected TokenStream normalize​(String fieldName,
                                          TokenStream in)

      Overrides:
        `normalize` in class `Analyzer`